KDE-integration plugin needs to be updated (and sync with latest improvement made in gnome-integration plugin)

Bug #1173097 reported by Michael Konrad on 2013-04-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cairo-Dock Plug-ins
Undecided
Unassigned

Bug Description

Hello,

I may have found a bug in the dustbin of the Cairo Dock 3.2.1 version from the stable PPA. If you assign another 'full' symbol for the dustbin, the dock does -not- change the icon assigned to the 'full' status when you put something in there. According to the last warning below, it isn't allowed to monitor »trash://« for some reason. The dock also doesn't use the newly assigned symbol if the dock gets closed and restarted with a full dustbin.

I'm using Ubuntu 12.04 with a manually installed KDE 4.10.2 (newest).

This an excerpt from the bash. The last two warnings might be of some help. The command was 'sudo cairo-dock -o'.

============================================================================
        Cairo-Dock version : 3.2.1
        Compiled date : Apr 12 2013 20:39:34
        Built with GTK : 3.4
        Running with OpenGL: 1
============================================================================

g_key_file_set_string: assertion `string != NULL' failed
Launcher-API-Daemon: registered as Unity: <dbus.service.BusName com.canonical.Unity on <dbus._dbus.SessionBus (session) at 0x16613b0> at 0x1650cd0>
connect...
-> connected to cairo-dock
('new owner:', dbus.UTF8String(':1.6'))
CairoKeyBinding '<Super>L' failed!

warning : (/build/buildd/cairo-dock-3.2.1/src/gldit/cairo-dock-keybinder.c:cd_keybinder_bind:282)
Couldn't bind '<Super>L' (Abmelden: Bildschirm sperren) [engl.: Logout: Lock screen]
This shortkey is probably already used by another applet or another application
CairoKeyBinding '<Control>F12' failed!

warning : (/build/buildd/cairo-dock-3.2.1/src/gldit/cairo-dock-keybinder.c:cd_keybinder_bind:282)
Couldn't bind '<Control>F12' (Abmelden: Das Abmeldemenü anzeigen) [engl.: Logout: Show the Logout menu]
This shortkey is probably already used by another applet or another application

warning : (/build/buildd/cairo-dock-plug-ins-3.2.1/kde-integration/src/applet-vfs.c:vfs_backend_add_monitor:1122)
gnome-integration : couldn't add monitor on 'trash://' (1) [Vorgang wird nicht unterstützt] [engl.: Procedure is not supported]

warning : (/build/buildd/cairo-dock-plug-ins-3.2.1/kde-integration/src/applet-vfs.c:vfs_backend_measure_directory:1318)
kde-integration : Die Adresse »trash://« ist keine absolute Adresse, die das »file«-Schema verwendet [engl.: The address »trash://« is not an absolute address which is using the »file« scheme]

Home directory /home/michael not ours.
Home directory /home/michael not ours.

Regards,
Michael Konrad.

Download full text (6.1 KiB)

Hi,
what if you launch the dock with cairo-dock -e gnome ?

2013/4/26 Michael Konrad <email address hidden>

> Public bug reported:
>
> Hello,
>
> I may have found a bug in the dustbin of the Cairo Dock 3.2.1 version
> from the stable PPA. If you assign another 'full' symbol for the
> dustbin, the dock does -not- change the icon assigned to the 'full'
> status when you put something in there. According to the last warning
> below, it isn't allowed to monitor »trash://« for some reason. The dock
> also doesn't use the newly assigned symbol if the dock gets closed and
> restarted with a full dustbin.
>
> I'm using Ubuntu 12.04 with a manually installed KDE 4.10.2 (newest).
>
> This an excerpt from the bash. The last two warnings might be of some
> help. The command was 'sudo cairo-dock -o'.
>
>
> ============================================================================
> Cairo-Dock version : 3.2.1
> Compiled date : Apr 12 2013 20:39:34
> Built with GTK : 3.4
> Running with OpenGL: 1
>
> ============================================================================
>
> g_key_file_set_string: assertion `string != NULL' failed
> Launcher-API-Daemon: registered as Unity: <dbus.service.BusName
> com.canonical.Unity on <dbus._dbus.SessionBus (session) at 0x16613b0> at
> 0x1650cd0>
> connect...
> -> connected to cairo-dock
> ('new owner:', dbus.UTF8String(':1.6'))
> CairoKeyBinding '<Super>L' failed!
>
> warning :
> (/build/buildd/cairo-dock-3.2.1/src/gldit/cairo-dock-keybinder.c:cd_keybinder_bind:282)
> Couldn't bind '<Super>L' (Abmelden: Bildschirm sperren) [engl.: Logout:
> Lock screen]
> This shortkey is probably already used by another applet or another
> application
> CairoKeyBinding '<Control>F12' failed!
>
> warning :
> (/build/buildd/cairo-dock-3.2.1/src/gldit/cairo-dock-keybinder.c:cd_keybinder_bind:282)
> Couldn't bind '<Control>F12' (Abmelden: Das Abmeldemenü anzeigen) [engl.:
> Logout: Show the Logout menu]
> This shortkey is probably already used by another applet or another
> application
>
> warning :
> (/build/buildd/cairo-dock-plug-ins-3.2.1/kde-integration/src/applet-vfs.c:vfs_backend_add_monitor:1122)
> gnome-integration : couldn't add monitor on 'trash://' (1) [Vorgang wird
> nicht unterstützt] [engl.: Procedure is not supported]
>
> warning :
> (/build/buildd/cairo-dock-plug-ins-3.2.1/kde-integration/src/applet-vfs.c:vfs_backend_measure_directory:1318)
> kde-integration : Die Adresse »trash://« ist keine absolute Adresse, die
> das »file«-Schema verwendet [engl.: The address »trash://« is not an
> absolute address which is using the »file« scheme]
>
> Home directory /home/michael not ours.
> Home directory /home/michael not ours.
>
> Regards,
> Michael Konrad.
>
> ** Affects: cairo-dock-core
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to Cairo-Dock Core.
> https://bugs.launchpad.net/bugs/1173097
>
> Title:
> Dustbin doesn't implement icon changes
>
> Status in Cairo-Dock : Core:
> New
>
> Bug description:
> Hello,
>
> I may have found a bug in the...

Read more...

Hello,

If you have exactly the same problem, can you try to open this URI 'trash://' with your files manager? e.g.:
   $ dolphin trash://

and with this command:
  $ gvfs-open trash://

Do you have errors?

Changed in cairo-dock-core:
status: New → Incomplete
affects: cairo-dock-core → cairo-dock-plug-ins
Matthieu Baerts (matttbe) wrote :

@fabounet: I received a message from Michael:
    The problem doesn't seem to appear any more, since I use 'cairo-dock -e gnome -o', thank you ! :)

I think KDE-integration plugin needs to be updated (and sync with latest improvement made in gnome-integration plugin) ;)

Download full text (3.7 KiB)

agreed

2013/5/21 Matthieu Baerts <email address hidden>

> @fabounet: I received a message from Michael:
> The problem doesn't seem to appear any more, since I use 'cairo-dock
> -e gnome -o', thank you ! :)
>
> I think KDE-integration plugin needs to be updated (and sync with latest
> improvement made in gnome-integration plugin) ;)
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to Cairo-Dock Plug-ins.
> https://bugs.launchpad.net/bugs/1173097
>
> Title:
> Dustbin doesn't implement icon changes
>
> Status in Cairo-Dock: Plug-ins:
> Incomplete
>
> Bug description:
> Hello,
>
> I may have found a bug in the dustbin of the Cairo Dock 3.2.1 version
> from the stable PPA. If you assign another 'full' symbol for the
> dustbin, the dock does -not- change the icon assigned to the 'full'
> status when you put something in there. According to the last warning
> below, it isn't allowed to monitor »trash://« for some reason. The
> dock also doesn't use the newly assigned symbol if the dock gets
> closed and restarted with a full dustbin.
>
> I'm using Ubuntu 12.04 with a manually installed KDE 4.10.2 (newest).
>
> This an excerpt from the bash. The last two warnings might be of some
> help. The command was 'sudo cairo-dock -o'.
>
>
> ============================================================================
> Cairo-Dock version : 3.2.1
> Compiled date : Apr 12 2013 20:39:34
> Built with GTK : 3.4
> Running with OpenGL: 1
>
> ============================================================================
>
> g_key_file_set_string: assertion `string != NULL' failed
> Launcher-API-Daemon: registered as Unity: <dbus.service.BusName
> com.canonical.Unity on <dbus._dbus.SessionBus (session) at 0x16613b0> at
> 0x1650cd0>
> connect...
> -> connected to cairo-dock
> ('new owner:', dbus.UTF8String(':1.6'))
> CairoKeyBinding '<Super>L' failed!
>
> warning :
> (/build/buildd/cairo-dock-3.2.1/src/gldit/cairo-dock-keybinder.c:cd_keybinder_bind:282)
> Couldn't bind '<Super>L' (Abmelden: Bildschirm sperren) [engl.: Logout:
> Lock screen]
> This shortkey is probably already used by another applet or another
> application
> CairoKeyBinding '<Control>F12' failed!
>
> warning :
> (/build/buildd/cairo-dock-3.2.1/src/gldit/cairo-dock-keybinder.c:cd_keybinder_bind:282)
> Couldn't bind '<Control>F12' (Abmelden: Das Abmeldemenü anzeigen)
> [engl.: Logout: Show the Logout menu]
> This shortkey is probably already used by another applet or another
> application
>
> warning :
> (/build/buildd/cairo-dock-plug-ins-3.2.1/kde-integration/src/applet-vfs.c:vfs_backend_add_monitor:1122)
> gnome-integration : couldn't add monitor on 'trash://' (1) [Vorgang wird
> nicht unterstützt] [engl.: Procedure is not supported]
>
> warning :
> (/build/buildd/cairo-dock-plug-ins-3.2.1/kde-integration/src/applet-vfs.c:vfs_backend_measure_directory:1318)
> kde-integration : Die Adresse »trash://« ist keine absolute Adresse, die
> das »file«-Schema verwendet [engl.: The address »trash://« is not an
> absolute add...

Read more...

[Expired for Cairo-Dock Plug-ins because there has been no activity for 60 days.]

Changed in cairo-dock-plug-ins:
status: Incomplete → Expired
Changed in cairo-dock-plug-ins:
status: Expired → Confirmed

Hello Matthieu,

what do you mean by 'Expired => Confirmed' ? Does the bug suddenly
appear in some of the newer versions now ? Has someone 'recycled' some
of the archived older code ... or how's that possible ?

Best Regards,
Michael.

Am 22.07.2013 09:01, schrieb Matthieu Baerts:
> ** Changed in: cairo-dock-plug-ins
> Status: Expired => Confirmed
>

Matthieu Baerts (matttbe) wrote :

@Michael: no it's just that Launchpad Janitor has changed the status to Expired because the status was 'Incomplete' (which is wrong).

We can confirm that "KDE-integration plugin needs to be updated (and sync with latest improvement made in gnome-integration plugin)"

summary: - Dustbin doesn't implement icon changes
+ KDE-integration plugin needs to be updated (and sync with latest
+ improvement made in gnome-integration plugin)
Download full text (4.0 KiB)

The bug is actually not about Dustbin any more, it's about the KDE
integratin plug-in that should use gvfs (until we do better).
so we can probably close this one and open a new one, I also think it's a
bit confusing ^_^

2013/7/22 Michael Konrad <email address hidden>

> Hello Matthieu,
>
> what do you mean by 'Expired => Confirmed' ? Does the bug suddenly
> appear in some of the newer versions now ? Has someone 'recycled' some
> of the archived older code ... or how's that possible ?
>
> Best Regards,
> Michael.
>
>
> Am 22.07.2013 09:01, schrieb Matthieu Baerts:
> > ** Changed in: cairo-dock-plug-ins
> > Status: Expired => Confirmed
> >
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to Cairo-Dock Plug-ins.
> https://bugs.launchpad.net/bugs/1173097
>
> Title:
> Dustbin doesn't implement icon changes
>
> Status in Cairo-Dock: Plug-ins:
> Confirmed
>
> Bug description:
> Hello,
>
> I may have found a bug in the dustbin of the Cairo Dock 3.2.1 version
> from the stable PPA. If you assign another 'full' symbol for the
> dustbin, the dock does -not- change the icon assigned to the 'full'
> status when you put something in there. According to the last warning
> below, it isn't allowed to monitor »trash://« for some reason. The
> dock also doesn't use the newly assigned symbol if the dock gets
> closed and restarted with a full dustbin.
>
> I'm using Ubuntu 12.04 with a manually installed KDE 4.10.2 (newest).
>
> This an excerpt from the bash. The last two warnings might be of some
> help. The command was 'sudo cairo-dock -o'.
>
>
> ============================================================================
> Cairo-Dock version : 3.2.1
> Compiled date : Apr 12 2013 20:39:34
> Built with GTK : 3.4
> Running with OpenGL: 1
>
> ============================================================================
>
> g_key_file_set_string: assertion `string != NULL' failed
> Launcher-API-Daemon: registered as Unity: <dbus.service.BusName
> com.canonical.Unity on <dbus._dbus.SessionBus (session) at 0x16613b0> at
> 0x1650cd0>
> connect...
> -> connected to cairo-dock
> ('new owner:', dbus.UTF8String(':1.6'))
> CairoKeyBinding '<Super>L' failed!
>
> warning :
> (/build/buildd/cairo-dock-3.2.1/src/gldit/cairo-dock-keybinder.c:cd_keybinder_bind:282)
> Couldn't bind '<Super>L' (Abmelden: Bildschirm sperren) [engl.: Logout:
> Lock screen]
> This shortkey is probably already used by another applet or another
> application
> CairoKeyBinding '<Control>F12' failed!
>
> warning :
> (/build/buildd/cairo-dock-3.2.1/src/gldit/cairo-dock-keybinder.c:cd_keybinder_bind:282)
> Couldn't bind '<Control>F12' (Abmelden: Das Abmeldemenü anzeigen)
> [engl.: Logout: Show the Logout menu]
> This shortkey is probably already used by another applet or another
> application
>
> warning :
> (/build/buildd/cairo-dock-plug-ins-3.2.1/kde-integration/src/applet-vfs.c:vfs_backend_add_monitor:1122)
> gnome-integration : couldn't add monitor on 'trash://' (1) [Vorgang wird
> nicht unterstützt] [engl.: Pro...

Read more...

Matthieu Baerts (matttbe) wrote :

@Fabounet: this is why I modify the title (but I understand that it's not easy to see this change by e-mail :) )

Download full text (3.6 KiB)

Sorry, I realized that after reading the next message ! :-)

2013/7/24 Matthieu Baerts <email address hidden>

> @Fabounet: this is why I modify the title (but I understand that it's
> not easy to see this change by e-mail :) )
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to Cairo-Dock Plug-ins.
> https://bugs.launchpad.net/bugs/1173097
>
> Title:
> KDE-integration plugin needs to be updated (and sync with latest
> improvement made in gnome-integration plugin)
>
> Status in Cairo-Dock: Plug-ins:
> Confirmed
>
> Bug description:
> Hello,
>
> I may have found a bug in the dustbin of the Cairo Dock 3.2.1 version
> from the stable PPA. If you assign another 'full' symbol for the
> dustbin, the dock does -not- change the icon assigned to the 'full'
> status when you put something in there. According to the last warning
> below, it isn't allowed to monitor »trash://« for some reason. The
> dock also doesn't use the newly assigned symbol if the dock gets
> closed and restarted with a full dustbin.
>
> I'm using Ubuntu 12.04 with a manually installed KDE 4.10.2 (newest).
>
> This an excerpt from the bash. The last two warnings might be of some
> help. The command was 'sudo cairo-dock -o'.
>
>
> ============================================================================
> Cairo-Dock version : 3.2.1
> Compiled date : Apr 12 2013 20:39:34
> Built with GTK : 3.4
> Running with OpenGL: 1
>
> ============================================================================
>
> g_key_file_set_string: assertion `string != NULL' failed
> Launcher-API-Daemon: registered as Unity: <dbus.service.BusName
> com.canonical.Unity on <dbus._dbus.SessionBus (session) at 0x16613b0> at
> 0x1650cd0>
> connect...
> -> connected to cairo-dock
> ('new owner:', dbus.UTF8String(':1.6'))
> CairoKeyBinding '<Super>L' failed!
>
> warning :
> (/build/buildd/cairo-dock-3.2.1/src/gldit/cairo-dock-keybinder.c:cd_keybinder_bind:282)
> Couldn't bind '<Super>L' (Abmelden: Bildschirm sperren) [engl.: Logout:
> Lock screen]
> This shortkey is probably already used by another applet or another
> application
> CairoKeyBinding '<Control>F12' failed!
>
> warning :
> (/build/buildd/cairo-dock-3.2.1/src/gldit/cairo-dock-keybinder.c:cd_keybinder_bind:282)
> Couldn't bind '<Control>F12' (Abmelden: Das Abmeldemenü anzeigen)
> [engl.: Logout: Show the Logout menu]
> This shortkey is probably already used by another applet or another
> application
>
> warning :
> (/build/buildd/cairo-dock-plug-ins-3.2.1/kde-integration/src/applet-vfs.c:vfs_backend_add_monitor:1122)
> gnome-integration : couldn't add monitor on 'trash://' (1) [Vorgang wird
> nicht unterstützt] [engl.: Procedure is not supported]
>
> warning :
> (/build/buildd/cairo-dock-plug-ins-3.2.1/kde-integration/src/applet-vfs.c:vfs_backend_measure_directory:1318)
> kde-integration : Die Adresse »trash://« ist keine absolute Adresse, die
> das »file«-Schema verwendet [engl.: The address »trash://« is not an
> absolute address which is using the »file« scheme...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers